#!/bin/bash

# this script takes a list of svg files and generates ico files with the
# resolutions 48x48, 32x32, 24x24, 16x16

for f in $@; do
  flist="";
  for res in 48 32 24 16; do
    if [ -f ${f}.${res}.png ]; then
      rm ${f}.${res}.png;
    fi
    inkscape $f -w $res -h $res --export-png=${f}.${res}.png;
    flist="${flist} ${f}.${res}.png";
  done;
  convert $flist ${f/.svg}.ico;
  rm $flist;
done

